﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGDateTimeBlankDateCalendarCase
{
    public class ViewModel
    {
        private SampleData _selectedDataItem;
        private DetailsViewModel _detailsViewModel;

        public ObservableCollection<SampleData> Data { get; set; }

        public DetailsViewModel DetailsViewModel
        {
            get { return _detailsViewModel; }
            set { _detailsViewModel = value; }
        }
        public SampleData SelectedDataItem
        {
            get
            {
                return _selectedDataItem;
            }
            set
            {
                _selectedDataItem = value;
            }
        }

        public ViewModel()
        {
            Random r = new Random();
            Data = new ObservableCollection<SampleData>();
            this.DetailsViewModel = new DetailsViewModel();


            Data.Add(new SampleData()
            {
                SampleName = "HasDate",
                Date = new DateTime(2013, 12, 2)
            });

            Data.Add(new SampleData()
            {
                SampleName = "nullDate",
                Date = null
            });
        }

        public void SetSelectedItemAsync(SampleData item)
        {
            if (item != null)
            {
                if (item is SampleData)
                {
                    this.DetailsViewModel.SetSelectedItemAsync(item);
                }
            }
        }

    }

    public class SampleData 
    {
        public String SampleName { get; set; }
        public DateTime? Date { get; set; }
    }
}
